List all roles¶
GET/
Organization API · Organization role management
List all organization roles.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Organization-ID | header | string (uuid) | Yes | Organization ID. |
type | query | string (enum) | No | Role type. Must be one of: predefined, custom. |
principalType | query | string (enum) | No | Principal type of role. Must be one of: user, service. |
fields | query | array of string | No | The fields to return in a partial response. |
Request samples¶
curl -X GET "https://api.central.sophos.com/organization/v1/roles" -H "Authorization: Bearer <access-token>" -H "X-Organization-ID: <organization-id>"
import requests
response = requests.get(
"https://api.central.sophos.com/organization/v1/roles",
headers={
"Authorization": "Bearer <access-token>",
"X-Organization-ID": "<organization-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Organization-ID" = "<organization-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api.central.sophos.com/organization/v1/roles" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.central.sophos.com/organization/v1/roles", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Organization-ID", "<organization-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api.central.sophos.com/organization/v1/roles", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Organization-ID": "<organization-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — List of roles used in an organization.¶
Response fields
itemsarray of objectrequiredList of roles.
Organization role.
Show child attributesHide child attributes
idstring (uuid)requiredRole UUID.
namestringrequiredRole name.
descriptionstringRole description.
typestring (enum)requiredRole type.
Must be one of:
Must be one of:
predefined, custom.principalTypestring (enum)requiredPrincipal type of role.
Must be one of:
Must be one of:
user, service.permissionSetsarray of stringrequiredList of permission sets.
Must contain at least 1 item. Items must be unique.
Must contain at least 1 item. Items must be unique.
createdAtstring (datetime)Date and time the organization role was created.
updatedAtstring (datetime)Date and time the organization role was last updated.
Errors¶
| Status | Meaning |
|---|---|
500 | Internal server error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.